Package org.eclipse.graphiti.ui.internal.policy

# Class ModelObjectDeleteEditPolicy

java.lang.Object
org.eclipse.gef.editpolicies.AbstractEditPolicy
org.eclipse.gef.editpolicies.ComponentEditPolicy
org.eclipse.graphiti.ui.internal.policy.ModelObjectDeleteEditPolicy

All Implemented Interfaces:
  `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

public class ModelObjectDeleteEditPolicy extends org.eclipse.gef.editpolicies.ComponentEditPolicy
An EditPolicy to handle the deletion of EditParts.

See Also:
  - `IEditPolicyFactory.createModelObjectDeleteEditPolicy(IConfigurationProviderInternal)`

## Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ModelObjectDeleteEditPolicy(IConfigurationProvider configurationProvider)`
Creates a new ModelObjectDeleteEditPolicy.

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.gef.commands.Command`
`createDeleteCommand(org.eclipse.gef.requests.GroupRequest request)`
Is called, when an EditPart shall be deleted.
`protected final IConfigurationProvider`
`getConfigurationProvider()`

### Methods inherited from class org.eclipse.gef.editpolicies.ComponentEditPolicy

`getCommand, getDeleteCommand, getOrphanCommand`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModelObjectDeleteEditPolicy

protected ModelObjectDeleteEditPolicy(IConfigurationProvider configurationProvider)
Creates a new ModelObjectDeleteEditPolicy.

Parameters:
  `configurationProvider` - The IConfigurationProviderInternal.

## Method Details

### getConfigurationProvider

protected final IConfigurationProvider getConfigurationProvider()

### createDeleteCommand

protected org.eclipse.gef.commands.Command createDeleteCommand(org.eclipse.gef.requests.GroupRequest request)
Is called, when an EditPart shall be deleted. It creates an ICommandFactory.createDeleteModelObjectCommand().

Overrides:
  `createDeleteCommand` in class `org.eclipse.gef.editpolicies.ComponentEditPolicy`
See Also:
  - `ComponentEditPolicy.createDeleteCommand(org.eclipse.gef.requests.GroupRequest)`